Skip to main content
GET
/
v1
/
portfolio
/
summary
Get Portfolio Summary
curl --request GET \
  --url https://api.ondoperps.xyz/v1/portfolio/summary \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "marginBalance": "4950.00",
    "netInvested": "4750.00",
    "totalPnL": "232.00",
    "realizedPnl": "250.00",
    "volume7d": "15000.00",
    "volume30d": "85000.00",
    "volumeAllTime": "250000.00",
    "sharpe30d": {
      "sharpeRatio": "1.85",
      "daysOfData": 30,
      "meanDailyROI": "0.0012",
      "stdDevROI": "0.0065"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Portfolio summary with metrics and optional Sharpe ratio data

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object

Current portfolio metrics and optional Sharpe ratios